Bug 1004192 - Review Request: python-queuelib - A collection of persistent (disk-based) queues
Review Request: python-queuelib - A collection of persistent (disk-based) queues
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dhiru Kholia
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-04 03:48 EDT by Fabian Affolter
Modified: 2014-03-24 23:44 EDT (History)
3 users (show)

See Also:
Fixed In Version: python-queuelib-1.0-2.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 00:27:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dkholia: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fabian Affolter 2013-09-04 03:48:25 EDT
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-queuelib.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-queuelib-1.0-1.fc19.src.rpm

Project URL: https://github.com/scrapy/queuelib

Description:
Queuelib is a collection of persistent (disk-based) queues for
Python. Queuelib goals are speed and simplicity.

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5892705

rpmlint output:
[fab@laptop011 SRPMS]$ rpmlint python-queuelib-1.0-1.fc19.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop011 noarch]$ rpmlint py*-queuelib-1.0-1.fc19.noarch.rpm 
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Fedora Account System Username: fab
Comment 1 Dhiru Kholia 2013-09-07 09:47:15 EDT
I have some *informal* review comments,

- %{__python} is deprecated, please use %{__python2} (see: https://fedoraproject.org/wiki/Packaging:Python#Macros)
Comment 2 Fabian Affolter 2013-09-09 04:33:52 EDT
Thanks

(In reply to Dhiru Kholia from comment #1)
> - %{__python} is deprecated, please use %{__python2} (see:
> https://fedoraproject.org/wiki/Packaging:Python#Macros)

changed

Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-queuelib.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-queuelib-1.0-2.fc19.src.rpm
Comment 3 Dhiru Kholia 2013-09-09 05:32:11 EDT
Looks good now. Please go ahead.
Comment 4 Fabian Affolter 2013-09-09 06:51:55 EDT
New Package SCM Request
=======================
Package Name: python-queuelib
Short Description: A collection of persistent (disk-based) queues
Owners: fab
Branches: f19 f20
InitialCC:
Comment 5 Gwyn Ciesla 2013-09-09 08:11:10 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2013-09-12 11:31:15 EDT
python-queuelib-1.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-queuelib-1.0-2.fc19
Comment 7 Fedora Update System 2013-09-12 11:31:25 EDT
python-queuelib-1.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python-queuelib-1.0-2.fc20
Comment 8 Fedora Update System 2013-09-12 12:29:52 EDT
python-queuelib-1.0-2.fc20 has been pushed to the Fedora 20 testing repository.
Comment 9 Fedora Update System 2013-09-22 00:27:10 EDT
python-queuelib-1.0-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 10 Fedora Update System 2013-09-22 20:02:14 EDT
python-queuelib-1.0-2.fc20 has been pushed to the Fedora 20 stable repository.

Note You need to log in before you can comment on or make changes to this bug.